/*	BAM START BLOCK
 *	Copyright (c) 2016 by COSMIC Software
 */
#define CPU0	0x0002
#define CPU1	0x0008
#define CPU2	0x0001

void _stext(void);

#pragma section const {rchw}

const struct bam {
	unsigned short w0;		/* magic */
	unsigned short w1;		/* cpu select */
	void (*reset2)(void);		/* cpu 2 reset address */
	unsigned long config0;		/* config bits */
	unsigned long config1;		/* config bits */
	void (*reset0)(void);		/* cpu 0 reset address */
	void (*reset1)(void);		/* cpu 1 reset address */
	unsigned long reserved;		/* reserved */
	} __rchw__ = {
		0x005a,
		CPU0,
		0,
		0,
		0,
		_stext,
		0,
		0
		};

#pragma section const {}
